# Interface methods for submodule: PadLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ChangeRegionLabelMapFilterProxy as _ChangeRegionLabelMapFilterProxy


# Interface methods for class: PadLabelMapFilter
class PadLabelMapFilterProxy(_ChangeRegionLabelMapFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetUpperBoundaryPadSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetUpperBoundaryPadSize(self) -> Sequence[int]:
		""""""
		...

	def SetLowerBoundaryPadSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetLowerBoundaryPadSize(self) -> Sequence[int]:
		""""""
		...

	def SetPadSize(self, size: Sequence[int]) -> None:
		""""""
		...

